package tutorial.client4;

import java.util.List;
import kr.fujitsu.com.ffw.model.GenericDAO;
import kr.fujitsu.com.ffw.model.SqlWrapper;

public class TutorialClientDAO4 extends GenericDAO {
	public List findTutorialSrc() throws Exception {
		List list = null;
		SqlWrapper sql = new SqlWrapper();
		// 데이터베이스에 접속합니다.
		connect("PCKR"); 
		
		// tutorial-sql 이라는 key 값을 가지는 sql xml 파일로부터 
		// SEL_TUTORIAL_SRC라는 Query를 찾아 셋팅합니다.
		sql.put(findQuery("tutorial-sql","SEL_TUTORIAL_SRC"));
		
		// executeQuery의 리턴 값은 java.sql.ResultSet을 java.util.Map으로 
        // column을 표시하고 java.util.List로 row를 표시합니다.
		// Map map = (Map)list.get(index);
		// (String)map.get("columnname");
		list = executeQuery(sql);
		
		return list;
	}
}
